/*
 *	arch.h -- description of machine architecture
 */


#ifndef _ARCH_H_
#define _ARCH_H_

#define BITS_PER_BYTE		8
#define BYTES_PER_CELL		4
#define BITS_PER_CELL		(BITS_PER_BYTE * BYTES_PER_CELL)

#define BYTES_TO_CELLS(b)	(((b) + BYTES_PER_CELL - 1) / BYTES_PER_CELL)
#define CELLS_TO_BYTES(cells)	((cells) * BYTES_PER_CELL)

#define BYTES_TO_AUNITS(bcount)	(BYTES_TO_CELLS(bcount))

#endif
