/*
 *	ex.h
 */


#ifndef _EX_H_
#define _EX_H_

/*
 *  Exceptions.
 */

#define EX_UNASSIGNED_LOCAL		0
#define EX_UNASSIGNED_GLOBAL		1
#define EX_UNBOUND_GLOBAL		2
#define EX_BAD_PROCEDURE		3
#define EX_WRONG_NUMBER_OF_ARGUMENTS	4
#define EX_WRONG_TYPE_ARGUMENT		5
#define EX_ARITHMETIC_OVERFLOW		6
#define EX_INDEX_OUT_OF_RANGE		7
#define EX_HEAP_OVERFLOW		8
#define EX_CANNOT_OPEN			9
#define EX_OPERATION_ON_CLOSED_PORT	10
#define EX_UUO				11

/*
 *  Interrupts.
 */

#define INT_NONE		0
#define INT_KEYBOARD		1

#endif
