/*
 *	heap.h
 */


#ifndef _HEAP_H_
#define _HEAP_H_

#define HEAP_SIZE		250000	/* size of heap in words */

#define DUMP_LEVEL		5
#define DUMP_FILENAME		"s48.image"

/*
 *  Stop consing when there are less than MARGIN units of storage
 *  left in the current heap and initiate garbage collection.
 */
#define MARGIN			(258)
#define AVAILABLE_P(cells)	(reg_heap + (cells) < reg_limit)

extern int newspace_begin;
extern int newspace_end;
extern int oldspace_begin;
extern int oldspace_end;

#endif
