/*
 *	reg.h -- virtual machine registers
 */


#ifndef _REG_H_
#define _REG_H_

int reg_root;			/* root garbage collection from this */

int reg_stack;			/* evaluation stack */
int reg_nargs;			/* number of arguments */
int reg_val;			/* first arg and  return value */
int reg_arg2;			/* second argument */
int reg_arg3;			/* third argument */

int reg_template;		/* template is code + name */
int reg_env;			/* environment pointer */
int reg_cont;			/* ?? */
int reg_code;			/* code part of a template */

int reg_pending_interrupt;	/* interrupt that is pending */
int reg_enabled_interrupts;	/* interrupts enabled? */

int reg_heap;			/* allocation location in heap */
int reg_limit;			/* limit of allocation region in heap */

int reg_dynamic_state;			/* fluid binding stack */

#endif
