/*
 *	object.c
 */


#include "scheme.h"
#include "arch.h"
#include "object.h"



enter_fixnum(n)
int n;
{
	assert(! OVERFLOWS_P(n));
	return MAKE_DESCRIPTOR(TAG_FIXNUM, n);
}


extract_fixnum(n)
int n;
{
	assert(FIXNUM_P(n));
	return DESCRIPTOR_DATA(n);

}


extract_char(d)
int d;
{
	assert(CHAR_P(d));
	return immediate_info(d);
}


immediate_type(imm)
int imm;
{
	assert(IMMEDIATE_P(imm));
	return DESCRIPTOR_DATA(imm) & ((1 << IMMEDIATE_TYPE_FIELD_WIDTH) - 1);
}


immediate_info(imm)
int imm;
{
	assert(IMMEDIATE_P(imm));
	return DESCRIPTOR_DATA(imm) >> IMMEDIATE_TYPE_FIELD_WIDTH;
}
